---
layout: docs
page_title: transform - Command
description: |-
  The "transform" command groups subcommands for interacting with Vault's Transform
  secrets engine.
---

# transform

The `transform` command groups subcommands for interacting with Vault's
[Transform Secrets Engine](/vault/docs/secrets/transform).

## Syntax

Option flags for a given subcommand are provided after the subcommand, but before the arguments.

## Examples

To [import](/vault/docs/commands/transform/import) keys into a mount via the
[Transform BYOK](/vault/docs/secrets/transform#bring-your-own-key-byok)
mechanism, use the `vault transform import <path> <key>` or
`vault transform import-version <path> <key>` commands:

```
$ vault transform import transform/transformations/fpe/example @test-key type=rsa-2048
Retrieving transform wrapping key.
Wrapping source key with ephemeral key.
Encrypting ephemeral key with transform wrapping key.
Submitting wrapped key.
Success!
```
